org.eclipse.microprofile.openapi.apps.petstore.exception

## Class NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.microprofile.openapi.apps.petstore.exception.ApiException
      - - org.eclipse.microprofile.openapi.apps.petstore.exception.NotFoundException

All Implemented Interfaces:
  Serializable

    public class NotFoundException
    extends ApiException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotFoundException(int code, String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotFoundException

    public NotFoundException(int code,
                             String msg)